## ironic-inspector 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=1.9.0 # Apache-2.0
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
construct<2.9,>=2.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
Flask!=0.11,>=0.10 # BSD
futurist>=1.2.0 # Apache-2.0
ironic-lib>=2.5.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.32.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (8.0.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: Drop python(3)-ironic-inspector Conflicts on each other
      and drop Replaces.
    - d/python(3)-ironic-inspector.postinst: Ensure alternatives priority is
      300 for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:10:31 -0400

ironic-inspector (8.0.0-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to Rocky series.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 14:33:58 -0400

ironic-inspector (7.3.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-ironic-inspector
      package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      ironic-inspector depends on python-ironic-inspector by default and
      python3-ironic-inspector as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-ironic-inspector packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-ironic-inspector.post*, d/python(3)-ironic-inspector.prerm:
      update-alternatives is used to enable correct shebangs for Python binaries.
    - d/python3-ironic-inspector.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for ironic-inspector daemons and
      shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 12:53:36 -0400

ironic-inspector (7.2.0-4) unstable; urgency=medium

  * Add support for dbconfig-common and debconf setup of keystone_authtoken.
  * Also purge policy.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Mar 2018 15:44:38 +0200

ironic-inspector (7.2.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed generation of python.json with --format json.
  * Add missing dh_install call (Closes: #893065).
  * Add dh_python3 --shebang=/usr/bin/python3.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:08:30 +0000

ironic-inspector (7.2.0-2) unstable; urgency=medium

  * Fixed debian/copyright holder list and years.
  * More Python3 fixes.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 17:00:04 +0000

ironic-inspector (7.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Rebase ironic-inspector-rootwrap path patch.
  * Update oslo-config-generator namespace list.
  * Switch package to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 08:43:27 +0000

ironic-inspector (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Require newer version of python-construct (Closes: #882989)

 -- Ondřej Nový <onovy@debian.org>  Tue, 28 Nov 2017 15:59:29 +0100

ironic-inspector (6.0.0-1) unstable; urgency=medium

  * Updating vcs fields.
  * Updating copyright format url.
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version: 4.1.1.
  * Deprecating priority extra as per policy 4.0.1.
  * New upstream release:
    - Can (again) be installed without crashing (Closes: #881598).
  * Fixed (build-)depends for this release.
  * Rebase patch.
  * Do not add python-pydot3 and python-construct as b-d, as that's for the doc
    and we won't package it.
  * Only run unit tests, not functional.
  * Now generating inspector.conf with oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Nov 2017 11:29:54 +0100

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-babel (>= 2.3.4),
 python-construct (>= 2.8.10),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-flask (>= 0.10),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.10.0),
 python-ironic-lib (>= 2.5.0),
 python-ironicclient (>= 2.3.0),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.32.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-tz (>= 2013.6),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.8.10),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-hacking (>= 0.10.0),
 python3-ironic-lib (>= 2.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Homepage: https://github.com/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python-ironic-inspector (= ${binary:Version}) | python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-babel (>= 2.3.4),
 python-construct (>= 2.8.10),
 python-eventlet (>= 0.18.2),
 python-flask (>= 0.10),
 python-futurist (>= 1.2.0),
 python-ironic-lib (>= 2.5.0),
 python-ironicclient (>= 2.3.0),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystonemiddleware (>= 4.17.0),
 python-netaddr (>= 0.7.18),
 python-openstackclient,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.32.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tz (>= 2013.6),
 ${misc:Depends},
 ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.8.10),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 2.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x files.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,systemd

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_clean:
	dh_clean
	rm -rf build debian/ironic-inspector.postinst debian/ironic-inspector.config debian/ironic-inspector.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm ironic-inspector.postrm
	pkgos-merge-templates ironic-inspector ironic-inspector db ksat endpoint

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHONS) ; do \
		PYTHONPATH=$(CURDIR)/debian/python-ironic-inspector/usr/lib/python2.7/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
	done
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
	done
endif

	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
		--namespace ironic_inspector \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware.cors
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector

	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
		--format json \
		--namespace ironic_inspector.api

	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
	install -D -m 0644 rootwrap.d/ironic-inspector-firewall.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector-firewall.filters
	install -D -m 0644 $(CURDIR)/debian/ironic-inspector.sudoers $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector
	sed -i 's|stack|ironic-inspector|' $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: ironic-inspector-shebangs-py3
Depends: python3-ironic-inspector, ironic-inspector
Restrictions: needs-root

Tests: ironic-inspector-shebangs-py2
Depends: ironic-inspector
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ironic-inspector/ ironic-inspector-(8\.\d.*)\.tar\.gz

## ironic-inspector 8.2.2

=== debian/changelog ===
ironic-inspector (8.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed versions of packages when satisfied in Buster.
  * Rebased fix-path-to-rootwrap.patch.
  * Removed py3.7-fix-errno-has-moved.patch applied upstream.
  * Removed Eliminate_SQL_injection_vulnerability_in_node_cache.patch.
  * Removed python3- prefix when calling oslo config generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 16:20:02 +0200

ironic-inspector (8.0.0-3) unstable; urgency=high

  * CVE-2019-10141: SQL Injection vulnerability when receiving introspection
    data. Applied upstream fix: Eliminate SQL injection vulnerability in
    node_cache (Closes: #929332).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2019 09:20:30 +0200

ironic-inspector (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:53:42 +0200

ironic-inspector (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Refreshed fix-path-to-rootwrap.patch.
  * Add py3.7-fix-errno-has-moved.patch.
  * Add --namespace oslo.policy when generating inspector.conf.
  * Fixed postrm debconf template name (Closes: #904461).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 14:19:09 +0200

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-babel,
 python3-construct,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-hacking,
 python3-ironic-lib,
 python3-ironicclient,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mock,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-retrying,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tz,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-inspector
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-inspector.git
Homepage: https://github.com/openstack/ironic-inspector

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic,
 python3-automaton,
 python3-babel,
 python3-construct,
 python3-eventlet,
 python3-flask,
 python3-futurist,
 python3-ironic-lib,
 python3-ironicclient,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-retrying,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python-ironic-inspector,
Conflicts:
 python-ironic-inspector,
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,systemd
+	dh $@ --buildsystem=python_distutils --with python3,systemd
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_clean:
@@ -28,35 +27,33 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	for i in $(PYTHONS) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python-ironic-inspector/usr/lib/python2.7/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
-	done
-	for i in $(PYTHON3S) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
-	done
+	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit.*'
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
 		--namespace ironic_inspector \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.db \
 		--namespace oslo.log \
-		--namespace oslo.middleware.cors
+		--namespace oslo.middleware.cors \
+		--namespace oslo.policy
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector
 
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
 		--format json \
 		--namespace ironic_inspector.api
 
 	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
 	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
-	install -D -m 0644 rootwrap.d/ironic-inspector-firewall.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector-firewall.filters
+	install -D -m 0644 rootwrap.d/ironic-inspector.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector.filters
 	install -D -m 0644 $(CURDIR)/debian/ironic-inspector.sudoers $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector
 	sed -i 's|stack|ironic-inspector|' $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector

## ironic-inspector 9.0.0~b1~git2019031315.0d5bc4b

=== requirements.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
ironic-inspector (9.0.0~b1~git2019031315.0d5bc4b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 15:54:02 -0400

ironic-inspector (9.0.0~b1~git2018111913.e5d5bfa-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/rules: In line with upstream, ironic-inspector.filters is installed
    instead of ironic-inspector-firewall.filters.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:09:02 -0500

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.8.10),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-hacking (>= 1.0.0),
 python3-ironic-lib (>= 2.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Homepage: https://github.com/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.8.10),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 2.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.32.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

=== debian/rules ===
--- 
+++ 
@@ -27,26 +27,25 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit.*'
+	for i in $(PYTHON3S) ; do \
+		PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit ; \
+	done
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
 		--namespace ironic_inspector \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.db \
 		--namespace oslo.log \
-		--namespace oslo.middleware.cors \
-		--namespace oslo.policy
+		--namespace oslo.middleware.cors
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
 		--format json \
 		--namespace ironic_inspector.api

## ironic-inspector 9.2.0

=== debian/changelog ===
ironic-inspector (1:9.2.0-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: track all major release versions.
  * New upstream release for OpenStack Train.
  * Bump epoch due to mis-versioning of snapshots during development cycle.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 10:02:26 +0100

ironic-inspector (10.0.0~b2~git2019073018.9a62401-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:02:00 +0200

ironic-inspector (10.0.0~b1~git2019061815.43b32df-0ubuntu1) eoan; urgency=medium

  * New upstream release 10.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate confile files.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:13:09 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-alembic (>= 0.8.10),
  python3-automaton (>= 1.9.0),
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-construct (>= 2.8.10),
  python3-coverage (>= 4.0),
  python3-doc8 (>= 0.6.0),
@@ -30,15 +31,16 @@
  python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.0.0),
- python3-ironic-lib (>= 2.5.0),
+ python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-mock (>= 2.0.0),
+ python3-keystonemiddleware (>= 4.18.0),
+ python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-openstacksdk (>= 0.30.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -55,6 +57,7 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-pymemcache (>= 1.2.9),
  python3-reno (>= 2.5.0),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
@@ -65,6 +68,7 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-tz (>= 2013.6),
+ python3-tooz (>= 1.64.0),
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
@@ -104,12 +108,12 @@
  python3-eventlet (>= 0.18.2),
  python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
- python3-ironic-lib (>= 2.5.0),
+ python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
  python3-oslo.concurrency (>= 3.26.0),

## ironic-inspector 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,20 +8,20 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 Flask!=0.11,>=0.10 # BSD
 futurist>=1.2.0 # Apache-2.0
-ironic-lib>=2.5.0 # Apache-2.0
+ironic-lib>=2.17.0 # Apache-2.0
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
-jsonschema<3.0.0,>=2.6.0 # MIT
-keystoneauth1>=3.4.0 # Apache-2.0
-keystonemiddleware>=4.17.0 # Apache-2.0
+jsonschema>=2.6.0 # MIT
+keystoneauth1>=3.14.0 # Apache-2.0
+keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-ironicclient>=2.3.0 # Apache-2.0
-python-swiftclient>=3.2.0 # Apache-2.0
+python-ironicclient!=2.5.2,!=2.7.1,!=3.0.0,>=2.3.0 # Apache-2.0
 pytz>=2013.6 # MIT
+openstacksdk>=0.30.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.32.0 # Apache-2.0
@@ -32,6 +32,6 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+tooz>=1.64.0 # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:10.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:37:29 -0500

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.18.0),
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
@@ -46,7 +46,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.32.0),
@@ -61,6 +61,7 @@
  python3-reno (>= 2.5.0),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -112,14 +113,15 @@
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
+ python3-openstacksdk (>= 0.30.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.32.0),
@@ -135,6 +137,7 @@
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-tooz (>= 1.64.0),
  python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},

## ironic-inspector 10.0.1~git2020041316.14b425e

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 construct<2.9,>=2.8.10 # MIT
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-Flask!=0.11,>=0.10 # BSD
+Flask>=1.0 # BSD
 futurist>=1.2.0 # Apache-2.0
 ironic-lib>=2.17.0 # Apache-2.0
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
@@ -15,9 +15,8 @@
 keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-ironicclient!=2.5.2,!=2.7.1,!=3.0.0,>=2.3.0 # Apache-2.0
 pytz>=2013.6 # MIT
-openstacksdk>=0.30.0 # Apache-2.0
+openstacksdk>=0.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:10.0.1~git2020041316.14b425e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 16:14:20 -0400

ironic-inspector (1:10.0.1~git2020032711.4eefb42-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-inspector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 11:29:18 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -28,7 +25,7 @@
  python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-flask (>= 0.10),
+ python3-flask (>= 1.0),
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.0.0),
  python3-ironic-lib (>= 2.17.0),
@@ -40,7 +37,7 @@
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 1.20.0),
- python3-openstacksdk (>= 0.30.0),
+ python3-openstacksdk (>= 0.40.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -107,7 +104,7 @@
  python3-babel (>= 2.3.4),
  python3-construct (>= 2.8.10),
  python3-eventlet (>= 0.18.2),
- python3-flask (>= 0.10),
+ python3-flask (>= 1.0),
  python3-futurist (>= 1.2.0),
  python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
@@ -117,7 +114,7 @@
  python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
- python3-openstacksdk (>= 0.30.0),
+ python3-openstacksdk (>= 0.40.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),

## ironic-inspector 10.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 automaton>=1.9.0 # Apache-2.0
 alembic>=0.8.10 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
 construct<2.9,>=2.8.10 # MIT
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 Flask>=1.0 # BSD

=== debian/changelog ===
ironic-inspector (1:10.1.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727184. This fixes service failures
    with Python 3.8 (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 09:57:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
 		--namespace ironic_inspector \
 		--namespace keystonemiddleware.auth_token \
@@ -45,7 +45,7 @@
 		--namespace oslo.middleware.cors
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector
 
-	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-ironic-inspector/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/policy.json \
 		--format json \
 		--namespace ironic_inspector.api

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ironic-inspector/ ironic-inspector-(\d.*)\.tar\.gz
